Subject: two different servers with same login

From: Mo Hataj <[email-masked]>
Date: Thu, 18 Oct 2001 11:43:02 +0200

when i've mounte my graphic-server and try to connect to my 
service-server, he shows me that i'm already logged in and the shares 
of the graphic-server are available, and vice versa.
so, i can't mount the other server, if i've already mounted something.
there are running some more native and netatalk afp servers in the 
network, but these two are the ony one who can't be used 
simultaneously.
switching appletalk-addresses using -seed doesn't change anything.
any help appreciated.

graphic-server
Linux version 2.2.18 (root@grafikserver) (gcc version 2.95.2 20000220 
(Debian GNU/Linux)) #1 Fri May 11 19:52:20 CEST 2001

NET4: AppleTalk 0.18 for Linux NET4.0

netatalk 1.4b2+asun2.1.3

afpd.conf
"Grafik Digital Images" -transall -guest

atalkd.conf
eth0 -phase 2 -net 0-65534 -addr 65280.161

service-server
Linux version 2.2.18pre21 (root@service) (gcc version 2.95.2 20000220 
(Debian GNU/Linux)) #2 SMP Thu Sep 6 20:20:55 CEST 2001

NET4: AppleTalk 0.18 for Linux NET4.0

netatalk 1.4b2+asun2.1.3

afpd.conf
"Service Digital Images" -transall

atalkd.conf
eth0 -phase 2 -net 0-65534 -addr 65280.75

service:/etc/apt# nbplkup
          Service Digital Images:AFPServer                          65280.75:128
                         service:netatalk                           65280.75:4
                         service:Workstation                        65280.75:4
           Server Digital Images:AFPServer                          65280.3:130
                             Fax:LaserWriter                        65280.3:128
                          server:netatalk                           65280.3:4
                          server:Workstation                        65280.3:4
           Grafik Digital Images:AFPServer 
65280.161:128
                    grafikserver:netatalk                           65280.161:4
                    grafikserver:Workstation                        65280.161:4
      Giant Mutating Gallbladder:AFPServer                          65361.37:248
      Giant Mutating Gallbladder:ARA - Personal Server              65361.37:2
      Giant Mutating Gallbladder:Multi-User Client                  65361.37:48
      Giant Mutating Gallbladder:MLS 2.0                            65361.37:39
      Giant Mutating Gallbladder:  Power Macintosh                  65361.37:252
      Giant Mutating Gallbladder:Workstation                        65361.37:4

-- 
sincerely / mit freundlichen Grüßen

Mo Hataj

-----
Digital Images GmbH
Systemadministration
Mo Hataj
Waisenhausring 9
06108 Halle/Saale

fon - +49-345+2175149
fax - +49-345-2175111

---

From: Karen A Swanberg <[email-masked]>
Date: Thu, 18 Oct 2001 15:36:58 -0500 (CDT)

Do the /etc/hosts files on both of your servers have the localhost entry
first? Try switching it so your real ip address is first, and then the
127.0.0.1 entry is second. 

afpd(?) creates it's identity based partly on that first IP address, so if
both servers are identical, that causes problems.

I have no idea if this will fix your problem, but it''s worth a shot.

-Karen

>            Grafik Digital Images:AFPServer 

-                                                                  -
    Karen Swanberg | Sys Admin | Dept. of Geology and Geophysics    
206 Pillsbury Hall | 310 Pillsbury Ave. SE | University of Minnesota
     Minneapolis, MN 55455  (612) 624-6541  (612) 625-3819 (f)

              * <---- Tribble   . <--- Tribble.tgz